### Hierarchy

- Geolocation

## Index

### Methods

- clearWatch
- getCurrentPosition
- watchPosition

## Methods

### clearWatch

- clearWatch(watchId: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5286

  #### Parameters

  - ##### watchId: number

  #### Returns void

### getCurrentPosition

- getCurrentPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback, options?: PositionOptions): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5287

  #### Parameters

  - ##### successCallback: PositionCallback

  - ##### Optional errorCallback: PositionErrorCallback

  - ##### Optional options: PositionOptions

  #### Returns void

### watchPosition

- watchPosition(successCallback: PositionCallback, errorCallback?: PositionErrorCallback, options?: PositionOptions): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5288

  #### Parameters

  - ##### successCallback: PositionCallback

  - ##### Optional errorCallback: PositionErrorCallback

  - ##### Optional options: PositionOptions

  #### Returns number

Generated using TypeDoc